User account creation filtered due to spam.

Bug 9638 - Build for target i386-elf and i586-pc-linux-gnu failed
Summary: Build for target i386-elf and i586-pc-linux-gnu failed
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: other (show other bugs)
Version: 3.2.2
: P3 normal
Target Milestone: 3.1.x/3.2.x
Assignee: Not yet assigned to anyone
URL:
Keywords:
: 9583 9603 (view as bug list)
Depends on:
Blocks:
 
Reported: 2003-02-09 21:06 UTC by reinhard.jessich
Modified: 2004-07-17 00:29 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
bug_report (1.86 KB, application/octet-stream)
2003-05-21 15:17 UTC, reinhard.jessich
Details
i386.diff (527 bytes, application/octet-stream)
2003-05-21 15:17 UTC, reinhard.jessich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description reinhard.jessich 2003-02-09 21:06:00 UTC
A complete bug report and patches to solve the probems can be found in the attached file.

Release:
gcc-3.2.2

Environment:
Linux Mandrake 7.2

How-To-Repeat:
A complete bug report and patches to solve the probems can be found in the attached file.
Comment 1 reinhard.jessich 2003-02-09 21:06:00 UTC
Fix:
A complete bug report and patches to solve the probems can be found in the attached file.
Comment 2 Joel Sherrill 2003-02-28 17:35:32 UTC
State-Changed-From-To: open->closed
State-Changed-Why: The patch I have attached was approved by Richard Henderson
    and committed to the 3.2 and 3.3 branches.  This also
    impacted the i386-rtems target.  Richard wanted the 
    constant DEFAULT_PCC_STRUCT_RETURN to be defaulted
    in config/i386/i386.c.  My understanding is that the
    duplications of this define has been eliminated on the
    trunk so this patch is not needed there.
Comment 3 CVS Commits 2004-03-10 17:22:24 UTC
Subject: Bug 9638

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_3-branch
Changes by:	joel@gcc.gnu.org	2004-03-10 17:22:15

Modified files:
	gcc            : ChangeLog config.gcc 

Log message:
	2003-02-27  Joel Sherrill <joel@OARcorp.com>
	
	PR 9638/other
	* config/i386/i386.c (DEFAULT_PCC_STRUCT_RETURN): Ensure the
	this constant defaults to 1.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.16114.2.927&r2=1.16114.2.928
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config.gcc.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.266.2.20&r2=1.266.2.21